;******************************adc_interrupt**********************
adc_rdy:
		in			temp0,adcl		;wichtig erst low 
		sts			ladc,temp0
		in			temp1,adch		;dann high lesen sonst erg mll
		sts			hadc,temp1
		reti

;***********************adc_header**************************
adc_header:
		rcall		adc_init
		rcall		start_convers_int	;mit Interrupt
		;rcall		start_convers		;ohne Interrupt
		ret

;***********************adc_init*****************************
adc_init:
		clt
		ldi		temp0,(1<<REFS1|1<<REFS0|1<<ADLAR|0<<MUX3|0<<MUX2|0<<MUX1|1<<MUX0)	;AVCC with external capacitor at AREF pin
		out		admux,temp0															;+ messkanal0 (PC0) eingang
		ret

;mit Interrupt
start_convers_int:
		in		temp0,adcsra	;wenn ADFR aktiv dann nur adc_read ntig fr jeweiligen kanal
		ori		temp0,(1<<ADEN|1<<ADSC|0<<ADFR|1<<ADIE|1<<ADPS2|0<<ADPS1|1<<ADPS0)	;freigabe ADC Abtastrate zwischen 50Khz-200Khz Teiler=32 single mode
		out		adcsra,temp0	;
		sei
		ret

;ohne Interrupt dann abfrage auf des bits ADSC=1?????
start_convers:
		in		temp0,adcsra
		ori		temp0,(1<<ADEN|1<<ADSC|0<<ADFR|0<<ADIE|1<<ADPS2|0<<ADPS1|1<<ADPS0);freigabe der Messung	
		out		adcsra,temp0
		sei
start_convers2:					;;;
		sbic	ADCSR,ADSC		;;;;;; diese kleine routine braucht man nicht wenn man mit ints arbeitet
		rjmp	start_convers2	;;;
		ret
